()

NAME
pmem2_badblock_next() - read the next bad block for the given bad block context *bbctx.

SYNOPSIS

        #include <libpmem2.h>
        struct pmem2_badblock;
        struct pmem2_badblock_context;
        int pmem2_badblock_next(
                struct pmem2_badblock_context *bbctx,
                struct pmem2_badblock *bb);

DESCRIPTION
The pmem2_badblock_next() function reads the next bad block for the given bad block context *bbctx.

RETURN VALUE
The pmem2_badblock_next() function returns 0 and stores the next bad block in *bb on success or it returns a negative error code when there are no more bad blocks for the given bad block context *bbctx.

ERRORS
pmem2_badblock_next() can fail with the following error:

•   PMEM2_E_NO_BAD_BLOCK_FOUND - there are no more bad blocks for the given bad block context *bbctx, *bb is undefined in this case.

•   PMEM2_E_NOSUPP - when the OS does not support this functionality

SEE ALSO
pmem2_badblock_context_new(3), pmem2_badblock_clear(3), libpmem2(7) and https://pmem.io